#********************************************************************
# Wrapper License Properties (Ignored by Community Edition)
#********************************************************************
#include ../conf/wrapper-license.conf

#********************************************************************
# Wrapper Java Properties
#********************************************************************
# Java Application
wrapper.java.command=java

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.  See the Integration section
#  of the documentation for details.
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperStartStopApp

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1

wrapper.java.classpath.1=./lib/*.*

#wrapper.java.classpath.1=./lib/wrapper.jar
#wrapper.java.classpath.2=./lib/apache-mime4j-0.6.jar
#wrapper.java.classpath.3=./lib/axis.jar
#wrapper.java.classpath.4=./lib/bcmail-jdk16-1.46.jar
#wrapper.java.classpath.5=./lib/bcprov-ext-jdk16-1.46.jar
#wrapper.java.classpath.6=./lib/bcprov-jdk15on-1.54.jar
#wrapper.java.classpath.7=./lib/bcprov-jdk16-1.44.jar
#wrapper.java.classpath.8=./lib/boot.jar
#wrapper.java.classpath.9=./lib/bz-allinone.jar
#wrapper.java.classpath.9=./lib/bz-minigame.jar
#wrapper.java.classpath.10=./lib/cage-1.0.jar
#wrapper.java.classpath.11=./lib/commons-beanutils-1.7.0.jar
#wrapper.java.classpath.12=./lib/commons-cli-1.1.jar
#wrapper.java.classpath.13=./lib/commons-codec-1.6.jar
#wrapper.java.classpath.14=./lib/commons-collections-3.2.1.jar
#wrapper.java.classpath.15=./lib/commons-dbcp-1.4.jar
#wrapper.java.classpath.16=./lib/commons-discovery-0.2.jar
#wrapper.java.classpath.17=./lib/commons-io-1.4.jar
#wrapper.java.classpath.18=./lib/commons-lang-2.4.jar
#wrapper.java.classpath.19=./lib/commons-lang3-3.0.1.jar
#wrapper.java.classpath.20=./lib/commons-logging-1.1.3.jar
#wrapper.java.classpath.21=./lib/commons-pool-1.5.5.jar
#wrapper.java.classpath.22=./lib/commons-vfs-1.0.jar
#wrapper.java.classpath.23=./lib/couchbase-client.jar
#wrapper.java.classpath.24=./lib/dbpool-6.0.jar
#wrapper.java.classpath.25=./lib/deadlock.jar
#wrapper.java.classpath.26=./lib/ezmorph-1.0.6.jar
#wrapper.java.classpath.27=./lib/fb303.jar
#wrapper.java.classpath.28=./lib/gson-2.2.2-javadoc.jar
#wrapper.java.classpath.29=./lib/gson-2.2.2-sources.jar
#wrapper.java.classpath.30=./lib/gson-2.2.2.jar
#wrapper.java.classpath.31=./lib/hazelcast-3.6.4.jar
#wrapper.java.classpath.32=./lib/hazelcast-client-3.6.4.jar
#wrapper.java.classpath.33=./lib/hsqldb.jar
#wrapper.java.classpath.34=./lib/httpclient-4.3.3.jar
#wrapper.java.classpath.35=./lib/httpclient-cache-4.3.3.jar
#wrapper.java.classpath.36=./lib/httpcore-4.3.2.jar
#wrapper.java.classpath.37=./lib/httpcore-nio-4.0.1.jar
#wrapper.java.classpath.38=./lib/httpmime-4.3.3.jar
#wrapper.java.classpath.39=./lib/imap.jar
#wrapper.java.classpath.40=./lib/jackson-annotations-2.4.0.jar
#wrapper.java.classpath.41=./lib/jackson-core-2.4.1.jar
#wrapper.java.classpath.42=./lib/jackson-databind-2.4.1.jar
#wrapper.java.classpath.43=./lib/java-client-2.3.3.jar
#wrapper.java.classpath.44=./lib/java_websocket.jar
#wrapper.java.classpath.45=./lib/jaxrpc.jar
#wrapper.java.classpath.46=./lib/jboss-logging-3.3.0.Final.jar
#wrapper.java.classpath.47=./lib/jboss-marshalling-1.4.11.Final.jar
#wrapper.java.classpath.48=./lib/jboss-marshalling-river-1.4.11.Final.jar
#wrapper.java.classpath.49=./lib/jedis-2.0.0.jar
#wrapper.java.classpath.50=./lib/jettison.jar
#wrapper.java.classpath.51=./lib/jmx-util-1.2.3.jar
#wrapper.java.classpath.52=./lib/joda-time-1.6.jar
#wrapper.java.classpath.53=./lib/joda-time-2.2.jar
#wrapper.java.classpath.54=./lib/js.jar
#wrapper.java.classpath.55=./lib/json-lib-2.2.3-jdk15.jar
#wrapper.java.classpath.56=./lib/json-simple-1.1.1.jar
#wrapper.java.classpath.57=./lib/json.jar
#wrapper.java.classpath.58=./lib/jtds-1.2.5.jar
#wrapper.java.classpath.59=./lib/junit-4.8.2.jar
#wrapper.java.classpath.60=./lib/jython.jar
#wrapper.java.classpath.61=./lib/libthrift-r917130.jar
#wrapper.java.classpath.62=./lib/log4j-1.2.15.jar
#wrapper.java.classpath.63=./lib/logs-analysis-app.jar
#wrapper.java.classpath.64=./lib/logs-backup-app.jar
#wrapper.java.classpath.65=./lib/mail.jar
#wrapper.java.classpath.66=./lib/mailapi.jar
#wrapper.java.classpath.67=./lib/memcached-2.5.jar
#wrapper.java.classpath.68=./lib/mongo-java-driver-3.3.0.jar
#wrapper.java.classpath.69=./lib/mongodb-driver-3.2.2.jar
#wrapper.java.classpath.70=./lib/mvel2-2.2.0.Final.jar
#wrapper.java.classpath.71=./lib/mysql-connector-java-5.0.4-bin.jar
#wrapper.java.classpath.72=./lib/netty-3.10.5.Final.jar
#wrapper.java.classpath.73=./lib/npn-api-1.1.1.v20141010.jar
#wrapper.java.classpath.74=./lib/npn-boot-8.1.2.v20120308.jar
#wrapper.java.classpath.75=./lib/org.osgi.core-6.0.0.jar
#wrapper.java.classpath.76=./lib/org.osgi.service.log-1.3.0.jar
#wrapper.java.classpath.77=./lib/pop3.jar
#wrapper.java.classpath.78=./lib/protobuf-java-2.6.1.jar
#wrapper.java.classpath.79=./lib/proxool-0.9.1.jar
#wrapper.java.classpath.80=./lib/proxool-cglib.jar
#wrapper.java.classpath.81=./lib/rabbitmq-client.jar
#wrapper.java.classpath.82=./lib/saaj.jar
#wrapper.java.classpath.83=./lib/scala-library.jar
#wrapper.java.classpath.84=./lib/scribe.jar
#wrapper.java.classpath.85=./lib/servlet-api-2.5.jar
#wrapper.java.classpath.86=./lib/sigar.jar
#wrapper.java.classpath.87=./lib/slf4j-api-1.6.1.jar
#wrapper.java.classpath.88=./lib/slf4j-api-1.7.5.jar
#wrapper.java.classpath.89=./lib/slf4j-log4j12-1.6.1.jar
#wrapper.java.classpath.90=./lib/slf4j-log4j12-1.7.5.jar
#wrapper.java.classpath.91=./lib/smtp.jar
#wrapper.java.classpath.92=./lib/spymemcached.jar
#wrapper.java.classpath.93=./lib/supercsv.jar
#wrapper.java.classpath.94=./lib/terracotta-api-1.1.1.jar
#wrapper.java.classpath.95=./lib/tomcat-catalina-8.5.3.jar
#wrapper.java.classpath.96=./lib/tomcat-jni-8.5.3.jar
#wrapper.java.classpath.97=./lib/VbeeCommon-1.0-SNAPSHOT.jar
#wrapper.java.classpath.98=./lib/VBeeSecurity.jar
#wrapper.java.classpath.99=./lib/VinPlayCardLib.jar
#wrapper.java.classpath.100=./lib/VinPlayDAL.jar
#wrapper.java.classpath.101=./lib/VinPlayUserCore.jar
#wrapper.java.classpath.102=./lib/wsdl4j.jar
#wrapper.java.classpath.103=./lib/xpp3_min-1.1.4c.jar
#wrapper.java.classpath.104=./lib/xstream-1.3.1.jar
#wrapper.java.classpath.105=./lib/guava-16.0.1.jar
#wrapper.java.classpath.106=./lib/guava-30.0-jre.jar
#wrapper.java.classpath.107=./lib/Minigame.jar

# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=./lib

# Java Additional Parameters
wrapper.java.additional.1=-Dorg.tanukisoftware.wrapper.WrapperManager.mbean=true
wrapper.java.additional.2=-Dlog4j.configuration=file:./config/log4j.properties

# Initial Java Heap Size (in MB)
wrapper.java.initmemory=256

# Maximum Java Heap Size (in MB)
wrapper.java.maxmemory=8192

# Application parameters.  Add parameters as needed starting from 1
#wrapper.app.parameter.1=bitzero.server.Main
wrapper.app.parameter.1=casio.king365.MiniGameMain
wrapper.app.parameter.2=0
wrapper.app.parameter.3=bitzero.server.Main
wrapper.app.parameter.4=true
wrapper.app.parameter.5=0

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=DEBUG

#:if expand("%") == ""|browse confirm w|else|confirm w|endif:browse confirm wa
# Log file to use for wrapper output logging.
wrapper.logfile=./log/wrapper/hischool.YYYYMMDD.log

# Rolling day by day
wrapper.logfile.rollmode=DATE

# Format of output for the log file.  (See docs for formats)
#wrapper.logfile.format=LPTM
wrapper.logfile.format=TM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=WARN

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=2m

# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=100

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=WARN

#********************************************************************
# Wrapper Windows Properties
#********************************************************************
# Title to use when running as a console
wrapper.console.title=MINIGAME

#********************************************************************
# Wrapper Windows NT/2000/XP Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.ntservice.name=MINIGAME

# Display name of the service
wrapper.ntservice.displayname=MINIGAME

# Description of the service
wrapper.ntservice.description=MINIGAME

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop.
wrapper.ntservice.interactive=false
